CRMchat APIBeta
Telegram APIChannels

channels.joinChannel

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/channels.joinChannel

Join a channel/supergroup

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Join a channel/supergroup

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.joinChannel" \  -H "Content-Type: application/json" \  -d '{    "params": {      "channel": {        "_": "inputChannelEmpty"      }    }  }'
{  "result": {    "_": "messages.chatInviteJoinResultOk",    "updates": {      "_": "updatesTooLong"    }  }}